Package fr.gouv.vitam.storage.engine.common.model.request

# Class ObjectDescription

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.request.ObjectDescription

public class ObjectDescription extends Object
Simple object holding data used to retrieve an Object from the workspace

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectDescription()`
  Empty Constructor.
  `ObjectDescription(DataCategory type, String workspaceContainerGUID, String objectName, String workspaceObjectUri)`
  Constructor with DataCategory parameter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectName()`
  `DataCategory`
  `getType()`
  `String`
  `getWorkspaceContainerGUID()`
  `String`
  `getWorkspaceObjectURI()`
  `ObjectDescription`
  `setObjectName(String objectName)`
  `ObjectDescription`
  `setType(DataCategory type)`
  `ObjectDescription`
  `setWorkspaceContainerGUID(String workspaceContainerGUID)`
  `ObjectDescription`
  `setWorkspaceObjectURI(String workspaceObjectURI)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectDescription

    public ObjectDescription()
    Empty Constructor.

  - ### ObjectDescription

    public ObjectDescription(DataCategory type, String workspaceContainerGUID, String objectName, String workspaceObjectUri)
    Constructor with DataCategory parameter
    Parameters:
      `type` - the collection tyoe
      `workspaceContainerGUID` - the container guid in workspace
      `objectName` - the object name
      `workspaceObjectUri` - the workspace uri of the object

- ## Method Details

  - ### getWorkspaceObjectURI

    public String getWorkspaceObjectURI()
    Returns:
      workspaceObjectURI

  - ### setWorkspaceObjectURI

    public ObjectDescription setWorkspaceObjectURI(String workspaceObjectURI)
    Parameters:
      `workspaceObjectURI` - to set
    Returns:
      this

  - ### getWorkspaceContainerGUID

    public String getWorkspaceContainerGUID()
    Returns:
      workspaceContainerGUID

  - ### setWorkspaceContainerGUID

    public ObjectDescription setWorkspaceContainerGUID(String workspaceContainerGUID)
    Parameters:
      `workspaceContainerGUID` - to set
    Returns:
      this

  - ### getObjectName

    public String getObjectName()
    Returns:
      the objectName

  - ### setObjectName

    public ObjectDescription setObjectName(String objectName)
    Parameters:
      `objectName` - the objectName to set
    Returns:
      this

  - ### getType

    public DataCategory getType()
    Returns:
      the type

  - ### setType

    public ObjectDescription setType(DataCategory type)
    Parameters:
      `type` - the type to set
    Returns:
      this